%define module Gtk2-TrayManager
%define fmodule Gtk2/TrayManager

Summary: Perl bindings for EggTrayManager
Name:    perl-%module
Version: 0.05
Release: %mkrel 6
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  %module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtkspell-devel 
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-Gtk2
BuildRequires: perl-Glib > 1.00 
BuildRequires: perl-ExtUtils-PkgConfig 
BuildRequires: glitz-devel
Buildrequires: perl-devel

Requires: gtk+2

%description
The EggTrayManager library is used internally by GNOME to implement the
server-side of the Notification Area (or system tray) protocol.

Gtk2::TrayManager allows you to create notification area applications using
Gtk2-Perl.


%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Os -s"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/%{fmodule}*
%{perl_vendorarch}/%fmodule.pm
%{perl_vendorarch}/auto/%fmodule



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-6mdv2009.0
+ Revision: 257187
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-4mdv2008.1
+ Revision: 152117
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.05-3mdv2008.1
+ Revision: 122674
- kill re-definition of %%buildroot on Pixel's request


* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-3mdk
- fix mistake

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.05-2mdk
- Fix BuildRequires

* Thu May 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.05-1mdk
- initial release

